<template>
  <section section="presentation" class="ps__container">
    <responsive-picture name="presentation" class="ps__background" />
    <div class="ps__title">
      <div class="ps__title-text">{{ $t('app.home.presentation.title') }}</div>
      <div class="ps__title-description">{{ $t('app.home.presentation.description') }}</div>
    </div>
  </section>
</template>

<script>
import ResponsivePicture from '@components/common/ResponsivePicture.vue';

export default {
  name: 'Presentation',
  components: { ResponsivePicture },
};
</script>

<style lang="scss" scoped>
.ps__container {
  position: relative;
  @include desktop {
    @include flex(row, flex-start, center);
    height: 100vh;
  }
  @include mobile {
    @include flex(column, flex-end, center);
    height: calc(100vh - 56px);
  }
}

.ps__title {
  @include desktop {
    width: 40%;
    height: 100%;
  }
  background-color: #76a462cc;
  @include flex(column, space-between);
  padding: 0 2rem 0 2rem;
}

.ps__title-text {
  color: white;
  font-size: 3rem;
  font-weight: bold;
  width: 100%;
  text-align: center;
  @include desktop {
    margin-top: 8rem;
  }
  @include mobile {
    margin-top: 2rem;
    @media (min-width: 320px) and (max-width: 380px) {
      font-size: 2rem;
    }
  }
}

.ps__title-description {
  font-style: italic;
  color: #F0F3BD;
  width: 100%;
  text-align: center;
  @include desktop {
    margin-bottom: 5rem;
    font-size: 2.5rem;
  }
  @include mobile {
    margin: 5rem 0 1rem 0;
    font-size: 2rem;
    @media (min-width: 320px) and (max-width: 380px) {
      font-size: 1.5rem;
    }
  }
}

.ps__background, /deep/ img {
  position: absolute;
  z-index: -1;
  object-fit: cover;
  width: 100%;
  height: 100%;
  margin: 0;
}
</style>
